Package org.opensaml.saml.ext.saml2mdui

# Interface Keywords

All Superinterfaces:
  `LangBearing`, `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `KeywordsImpl`

public interface Keywords extends SAMLObject, LangBearing
DisplayName. See IdP Discovery and Login UI Metadata Extension Profile.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.core.xml.LangBearing

`XML_LANG_ATTR_LOCAL_NAME, XML_LANG_ATTR_NAME`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getKeywords()`
Gets the keywords.
`void`
`setKeywords(List<String> val)`
Sets the keywords.

### Methods inherited from interface org.opensaml.core.xml.LangBearing

`getXMLLang, setXMLLang`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getKeywords

@Nullable @NotLive @Unmodifiable List<String> getKeywords()
Gets the keywords.

Returns:
  the keywords

### setKeywords

void setKeywords(@Nullable List<String> val)
Sets the keywords.

Parameters:
  `val` - The keywords